/*********************************
*  FUNCtions.H  01/02/91
*  Header file for STV
*   Copyright 1990 Timm Martin
*  All Rights Reserved Worldwide
**********************************/

#ifndef STV_FUNC_H
#define STV_FUNC_H

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef INTUITION_INTUITION_H
#include <intuition/intuition.h>
#endif
#ifndef STV_MAIN_H
#include "main.h"
#endif

/* display.c */  void   end_down( void );
/* display.c */  void   end_up( void );
/* file.c    */  void   file_free( void );
/* file.c    */  BOOL   file_load( void );
/* file.c    */  void   file_name( char *name );
/* file.c    */  SELECT file_read( char *name, SELECT prev, SELECT next );
/* file.c    */  void   file_select( void );
/* file.c    */  BOOL   file_size( void );
/* gadget.c  */  void   gadget_add( void );
/* gadget.c  */  void   gadget_current( void );
/* display.c */  void   initialize( void );
/* input.c   */  SELECT input_keys( struct IntuiMessage *imessage );
/* input.c   */  SELECT input_window( SELECT prev, SELECT next );
/* display.c */  void   line_check( void );
/* display.c */  void   line_down( BOOL modify );
/* display.c */  void   line_up( BOOL modify );
/* main.c    */  void   main( int argc, char *argv[] );
/* menu.c    */  void   menu_add( void );
/* menu.c    */  SELECT menu_pick( int menu, int item );
/* menu.c    */  void   menu_prevnext( SELECT prev, SELECT next );
/* gadget.c  */  void   modify_vprop( void );
/* gadget.c  */  void   move_vprop( BOOL check );
/* display.c */  void   page_down( void );
/* display.c */  void   page_up( void );
/* main.c    */  BOOL   parse_arguments( int argc, char *argv[] );
/* pointer.c */  void   pointer_close( void );
/* pointer.c */  void   pointer_open( void );
/* main.c    */  void   program_begin( void );
/* main.c    */  void   program_end( char *error );
/* display.c */  void   refresh_display( void );
/* display.c */  void   scroll_display( void );
/* search.c  */  void   search( void );
/* search.c  */  void   search_again( void );
/* text.c    */  void   text_display( void );
/* text.c    */  void   text_line( int line );
/* text.c    */  void   text_string( int line, int start, int length );
/* window.c  */  void   window_close( void );
/* window.c  */  void   window_open( void );
/* window.c  */  void   window_resized( void );

#endif
